Uncategorized

👋 WP iOS

happy Friday world 💻🚀📱🖥🎼💥🔥🌹🇲🇦😊

WordPress for iOS
?

Build Instructions

Download Xcode
At the moment WordPress for iOS requires Swift 3.0 and Xcode 8.2 or newer. Previous versions of Xcode can be downloaded from Apple.

Third party tools
We use a few tools to help with development. To install or update the required dependencies, run the follow command on the command line:
rake dependencies

CocoaPods
WordPress for iOS uses CocoaPods to manage third party libraries.
Trying to build the project by itself (WordPress.xcproj) after launching will result in an error, as the resources managed by CocoaPods are not included. To install and configure the third party libraries just run the following in the command line:
pod install

SwiftLint
We use SwiftLint to enforce a common style for Swift code. Xcode will show a warning if you don’t have it installed. The app should build and work without it, but if you plan to…

View original post 413 more words

Advertisements
Standard

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s